import request from '@/utils/request'

// 查询拍照检查附件列表
export function listInspection(query) {
  return request({
    url: '/laboratory/inspection/list',
    method: 'get',
    params: query
  })
}

// 查询拍照检查附件详细
export function getInspection(id) {
  return request({
    url: '/laboratory/inspection/' + id,
    method: 'get'
  })
}

// 新增拍照检查附件
export function addInspection(data) {
  return request({
    url: '/laboratory/inspection',
    method: 'post',
    data: data
  })
}

// 修改拍照检查附件
export function updateInspection(data) {
  return request({
    url: '/laboratory/inspection',
    method: 'put',
    data: data
  })
}

// 删除拍照检查附件
export function delInspection(id) {
  return request({
    url: '/laboratory/inspection/' + id,
    method: 'delete'
  })
}
